Bug Hunting Session
Bug 100901 - LibreOffice Crashes if a Document with a Hyperlink is Opened in Read-only Mode and the Tab Key is Pressed
Summary: LibreOffice Crashes if a Document with a Hyperlink is Opened in Read-only Mod...
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All Windows (All)
: medium critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.3.0 target:5.2.1 target:5.1.6
Keywords: haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2016-07-13 22:29 UTC by Harald Koester
Modified: 2017-04-03 13:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["SetGetExpField::GetCntPosFromContent()"]


Attachments
Test file in order to reproduce the bug. (8.95 KB, application/vnd.oasis.opendocument.text)
2016-07-13 22:29 UTC, Harald Koester
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2016-07-13 22:29:50 UTC
Created attachment 126199 [details]
Test file in order to reproduce the bug.

In order to reproduce:
[1] Open the attached document. It is opened in read-only mode.
[2] Just press the tab key. LibreOffice crashes and the document recovery dialogue is opened.

Bug occurs in current version 5.1.4. Bug also checked with older versions. The first version where this bug occurs is the version 4.4.0. The bug behaviour may differ a bit with the older versions.
Comment 1 Aron Budea 2016-07-14 22:17:18 UTC
Thanks for the bug report and analysis.
I could reproduce the crash in Windows 7 with versions ftom 4.4.0.3 up to master branch, but could not reproduce it in Linux.

Crash report in 5.2.0.2: http://crashreport.libreoffice.org/stats/crash_details/6c8498fe-13c1-4141-b879-51a1d9e6e0f7

Since it's a crash, raising severity to critical.
Comment 2 Julien Nabet 2016-07-23 12:03:56 UTC
On pc Debian x86-64 with LO Debian package 5.1.5.1, I don't reproduce this.

Could you try to rename your LO directory profile (see https://wiki.documentfoundation.org/UserProfile#Windows) and give a new try?
If you still reproduce this, could you try to retrieve a bt? (see https://wiki.documentfoundation.org/QA/BugReport/Debug_Information#Windows:_How_to_get_a_backtrace)
Comment 3 Aron Budea 2016-07-23 16:56:46 UTC
Julien, see my Comment 1 for all the details you're looking for. Backtrace is in the linked crash report.

Harald, I assume you only tested in Windows, right?
Comment 4 Julien Nabet 2016-07-24 09:36:59 UTC
(In reply to Aron Budea from comment #3)
> Julien, see my Comment 1 for all the details you're looking for. Backtrace
> is in the linked crash report.
> 
> ...
Indeed! I had missed this, let's add havebacktrace in keyword then.
Comment 5 Commit Notification 2016-08-19 14:14:44 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3196e949bb23a33bdb8700dbe27782e0e6c8f1e6

Resolves: tdf#100901 crash pressing tab in r-o document with hyperlink

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-08-23 13:57:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2005eb1c0fb2c7170af076a0db9a4e3e1f6892ac&h=libreoffice-5-2

Resolves: tdf#100901 crash pressing tab in r-o document with hyperlink

It will be available in 5.2.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-08-24 11:29:56 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fd112a3732e24e9af2f102defaf49445d9f932ff&h=libreoffice-5-2-1

Resolves: tdf#100901 crash pressing tab in r-o document with hyperlink

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Julien Nabet 2016-08-24 11:43:58 UTC
Let's simplify a bit.
Comment 9 Commit Notification 2016-08-24 12:08:58 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=299f223295913a60fed33f9adb08a15f4f83a6d3&h=libreoffice-5-1

Resolves: tdf#100901 crash pressing tab in r-o document with hyperlink

It will be available in 5.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Harald Koester 2017-04-03 13:38:07 UTC
Checked with version 5.3.1. Works now. Hence bug closed.